Functions that read object properties are named with a vla-get prefix and require the following syntax:
(vla-get-propertyobject)
vla-get-center returns the center point of a circle.
For example,To obtain an object's property and apply the property to a new object
(setq myCircle (vla-addcircle mspace (vlax-3d-point
(getpoint "\nPick the center point for a circle: ")) 2.0))
vlax-3d-point function converts the point you pick into the data type required by vla-addcir-cle.
This function call prompts you to pick a center point for a circle, then invokes the Addcircle method to draw the circle. The(vla-addCircle mSpace (vla-get-center myCircle) 1.0)
The AutoCAD drawing window now contains the following objects: